#define WIN32_LEAN_AND_MEAN
#include <windows.h>

#ifdef UNICODE
#define WINMAIN wWinMain
void __cdecl wWinMainCRTStartup(void)	// for PellesC Microsoft C etc...
#else
#define WINMAIN WinMain
void __cdecl WinMainCRTStartup(void)
#endif
{
	TCHAR *szCmdLine;
	STARTUPINFO si;

	szCmdLine = GetCommandLine();
	if (*szCmdLine == '"')
	{
		while (*++szCmdLine)
			if (*szCmdLine == '"')
			{
				szCmdLine++;
				break;
			}
	}
	else
	{
		while (*szCmdLine && *szCmdLine > ' ')
			szCmdLine++;
	}
	while (*szCmdLine && *szCmdLine <= ' ')
		szCmdLine++;

	GetStartupInfo(&si);
	ExitProcess(WINMAIN(GetModuleHandle(NULL), NULL, szCmdLine,
		 (si.dwFlags & STARTF_USESHOWWINDOW)
		 ? si.wShowWindow : SW_SHOWDEFAULT));
}
#undef WINMAIN
